﻿using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// 健康俱乐部
	/// </summary>
	public interface IHealthClubService
    {
        Task<List<Pub_Club_Vedio>> GetIndexVedio();

        /// <summary>
        /// 同步有赞订单
        /// </summary>
        /// <param name="requestBodyString"></param>
        /// <returns></returns>
        Task SyncYouZanOrder(string requestBodyString);
        int AddHealthClub(OutHealthClub model);

        /// <summary>
        /// 记录“下载app免年费”按钮点击
        /// </summary>
        /// <param name="ip"></param>
        /// <returns></returns>
        Task RecordDownloadAppClickAsync(string ip);
    }
}
